package cn.iocoder.yudao.module.member.dal.mysql.storesalegoods;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.member.controller.admin.storegoods.vo.StoreSaleGoodsPageVO;
import cn.iocoder.yudao.module.member.controller.admin.storeorder.vo.StoreOrderPageVO;
import cn.iocoder.yudao.module.member.dal.dataobject.storesalegoods.StoreSaleGoodsDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.member.controller.admin.storesalegoods.vo.*;
import org.apache.ibatis.annotations.Param;

/**
 * 售卖商品 Mapper
 *
 * @author 管理员
 */
@Mapper
public interface StoreSaleGoodsMapper extends BaseMapperX<StoreSaleGoodsDO> {

    default PageResult<StoreSaleGoodsDO> selectPage(StoreSaleGoodsPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<StoreSaleGoodsDO>()
                .eqIfPresent(StoreSaleGoodsDO::getGoodsId, reqVO.getGoodsId())
                .eqIfPresent(StoreSaleGoodsDO::getNumber, reqVO.getNumber())
                .eqIfPresent(StoreSaleGoodsDO::getEquipmentCode, reqVO.getEquipmentCode())
                .betweenIfPresent(StoreSaleGoodsDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(StoreSaleGoodsDO::getId));
    }


    IPage<StoreSaleGoodsPageVO> getSaleGoodsPage(IPage<StoreSaleGoodsPageVO> page, @Param("vo") StoreSaleGoodsPageVO vo);

}